/**
 *******************************************************************************
 * @file    tmpm383_vltd.h
 * @brief   This file provides all the functions prototypes for VLTD driver. 
 * @version V2.0.2.1
 * @date    2015/06/04
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM383_VLTD_H
#define __TMPM383_VLTD_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "TMPM383.h"
#include "tx03_common.h"

/** @addtogroup TX03_Periph_Driver
  * @{
  */

/** @addtogroup VLTD
  * @{
  */

/** @defgroup VLTD_Exported_Types
  * @{
  */

/** @} */
/* End of group VLTD_Exported_Types */

/** @defgroup VLTD_Exported_Constants
  * @{
  */

/** @} */
/* End of VLTD_Exported_Constants */

/** @defgroup VLTD_Exported_FunctionPrototypes
  * @{
  */
    void VLTD_Enable(void);
    void VLTD_Disable(void);

/** @} */
/* End of VLTD_Exported_FunctionPrototypes */

/** @} */
/* End of group VLTD */

/** @} */
/* End of group TX03_Periph_Driver */

#ifdef __cplusplus
}
#endif                          /* __cplusplus */
#endif                          /* __TMPM383_VLTD_H */
