/** 
 *******************************************************************************
 * @file    timer.h
 * @brief   The application functions of RMC_Receiving demo for the TOSHIBA
 *          'TMPM383' Device Series 
 * @version V0.100
 * @date    2015/05/16
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TIMER_H
#define __TIMER_H

/* Includes ------------------------------------------------------------------*/
#include "main.h"

/* Private define ------------------------------------------------------------*/
#define TMRB_1ms 0x1388U        /* fsys = fc = 10MHz * 4(PLL) = 40MHz, fphiT0 = fperiph = fgear = fc */
                                /* ftmrb = 1/8fphiT0 = 1/8 * 40 = 5MHz, Ttmrb = 1/5us, 1000us/(1/5us) = 5000 = 0x1388 */

/* Private function prototypes -----------------------------------------------*/
void Timer_ChInit(TSB_TB_TypeDef * TBx);
#endif
