/**
 *******************************************************************************
 * @file    tmpm383_dnf_int.h
 * @brief   All interrupt request functions prototypes of DNF
 *          for the TOSHIBA 'TMPM383' Device Series
 * @version V0.100
 * @date    2015/06/03
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM383_DNF_INT_H
#define __TMPM383_DNF_INT_H

/* Includes ------------------------------------------------------------------*/
#include "main.h"
/* External function prototypes ----------------------------------------------*/
void INT3_IRQHandler(void);

#endif                          /* __TMPM383_DNF_INT_H */
/*********************************** END OF FILE ******************************/
