/**
 *******************************************************************************
 * @file    tmpm383_uart_int.h
 * @brief   interrupt request functions definition of UART_FIFO_Demo 
 * @version V0.100
 * @date    2015/06/10
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM383_UART_INT_H
#define __TMPM383_UART_INT_H

/* Includes ------------------------------------------------------------------*/
#include "TMPM383.h"
#include "tmpm383_uart.h"


void INTTX0_IRQHandler(void);
void INTRX1_IRQHandler(void);

void INTRX0_IRQHandler(void);
void INTTX1_IRQHandler(void);
#endif                          /* __TMPM383_UART_INT_H */
